Post
/membership/unsubscribe
Unsubscribes a user from a group. A notification is sent to the manager.
Query parameters
userId
integer (int64) Required
ID of the user
groupId
integer (int64) Required
ID of the group
unsubscriptionMode
stringRequired
CONFIRMED_OPT_IN - Contacts receive a message via email when they are removed from the group. Despite the label used for this value, the contact does not need to confirm the unsubscription. A single opt-in unsubscription.
OPT_IN - Contacts are removed from the group without notification email.
Valid values[
"CONFIRMED_OPT_IN",
"OPT_IN"
]
Responses
204
400
userId, groupId and unsubscriptionMode are mandatory, but are missing or incorrect. / User with id does not exist. / Group with id does not exist.
404
Error response: {
"errorActor": "CLIENT",
"errorCode": "INVALID_REQUEST",
"message": "Not Found"
}